AbstractLexer (Groovy 4.0.10)

Package: org.apache.groovy.parser.antlr4

## [Java] Class AbstractLexer

- org.apache.groovy.parser.antlr4.AbstractLexer

- All Implemented Interfaces and Traits:
    SyntaxErrorReportable

      public abstract class AbstractLexer
      extends Lexer
      implements SyntaxErrorReportable

  Because antlr4 does not support generating lexer with specified interface, we have to create a super class for it and implement the interface.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Lexer` | `DEFAULT_MODE, MORE, SKIP, DEFAULT_TOKEN_CHANNEL, HIDDEN, MIN_CHAR_VALUE, MAX_CHAR_VALUE, _input, _token, _tokenStartCharIndex, _tokenStartLine, _tokenStartCharPositionInLine, _hitEOF, _channel, _type, _modeStack, _mode, _text, EOF`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractLexer(CharStream input)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Lexer` | `nextToken, getType, mode, skip, reset, getInputStream, getInputStream, getChannel, more, getText, setText, setType, setInputStream, emit, emit, getToken, getLine, recover, recover, setChannel, getCharIndex, popMode, getModeNames, getChannelNames, getTokenNames, setToken, pushMode, emitEOF, getErrorDisplay, getErrorDisplay, getAllTokens, getTokenFactory, setTokenFactory, notifyListeners, getSourceName, setLine, getCharPositionInLine, setCharPositionInLine, getCharErrorDisplay, action, getState, setState, getSerializedATN, sempred, getVocabulary, getGrammarFileName, getErrorListeners, getTokenTypeMap, getTokenType, getParseInfo, getErrorHeader, precpred, getRuleIndexMap, getRuleNames, setInterpreter, getATN, getInterpreter, addErrorListener, removeErrorListeners, removeErrorListener, getErrorListenerDispatch, getTokenErrorDisplay, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public AbstractLexer(CharStream input)